/*
   File: mobile.sql
   Table definitions for Rutgers Mobile Web
*/

/*
   Table: feedback
   Stores feedback from users gathered from the in-app channel as well as
   the website.   

   Fields:
      id       - *int(10) unsigned NOT NULL AUTO_INCREMENT* unique identifier
      subject  - *varchar(255) NOT_NULL* subject of the feedback message
      message  - *text NOT_NULL* feedback message
      date     - *timestamp NOT_NULL DEFAULT CURRENT_TIMESTAMP* feedback message
      email    - *varchar(255) NOT_NULL* email to respond to 
      wantsResponse  - *bool DEFAULT FALSE* true if the user wants a response
      channel    - *varchar(255) NOT_NULL* channel which the feedback is about
      log         - *text* debug log
      
*/

DROP TABLE IF EXISTS `feedback`;
CREATE TABLE `feedback` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `subject` varchar(255) NOT NULL default '',
  `message` text NOT NULL default '',
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `email` varchar(255) NOT NULL default '',
  `wantsResponse` bool DEFAULT FALSE,
  `channel` varchar(255) NOT NULL default '',
  `log` text,
  `betamode` varchar(255),
  `version` varchar(255),
  `osname` varchar(255),
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;

/* Table: betausers
   Stores beta auth information
 */

DROP TABLE IF EXISTS `betausers`;
CREATE TABLE `betausers` (
  `netid` varchar(16) NOT NULL,
  `original` timestamp NOT NULL DEFAULT NOW(),
  `originalVersion` varchar(64) NOT NULL,
  `latest` timestamp NOT NULL,
  `latestVersion` varchar(64) NOT NULL,
  PRIMARY KEY(`netid`)
);

DROP TABLE IF EXISTS `analytics`;
CREATE TABLE `analytics` (
   date timestamp not null,
   debug boolean,
   beta boolean,
   version varchar(255),
   api varchar(255),
   name varchar(255),
   handle varchar(255),
   type varchar(255),
   os varchar(255),
   osversion varchar(255),
   model varchar(255),
   tablet boolean,
   androidversion int,
   uuid varchar(255),
   `blob` text,
   `id` int unsigned not null auto_increment primary key,
   diag float,
   dpi int

);
